hpp-core: hpp::core::pathOptimization::ConfigOptimizationTraits Struct Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
hpp::core::pathOptimization::ConfigOptimizationTraits Struct Reference
Path Optimization

`#include <hpp/core/path-optimization/config-optimization.hh>`

## Static Public Member Functions
static bool | addConfigConstraintToPath ()
static std::size_t | numberOfPass ()
static std::size_t | numberOfIterations ()
static value_type | alphaInit ()
static Configuration_t | getGoal (const PathVector &path)
static ConfigProjectorPtr_t | getConfigProjector (const PathPtr_t &before, const PathPtr_t &after, bool &isReverse)
static bool | shouldFilter (JointConstPtr_t joint, const size_type iDof)

## Detailed Description

Optimize the waypoints of the path and optionally add the constraint::ConfigurationConstraint to the ConfigProjector of the path.

See Parameters for information on how to tune the algorithm.

Note
  The optimizer assumes that the input path is a vector of optimal paths for the distance function.

## Member Function Documentation

## ◆ addConfigConstraintToPath()

static bool hpp::core::pathOptimization::ConfigOptimizationTraits::addConfigConstraintToPath | ( |  | ) |
| inlinestatic

## ◆ alphaInit()

static value_type hpp::core::pathOptimization::ConfigOptimizationTraits::alphaInit | ( |  | ) |
| inlinestatic

## ◆ getConfigProjector()

static ConfigProjectorPtr_t hpp::core::pathOptimization::ConfigOptimizationTraits::getConfigProjector | ( | const PathPtr_t & | before,
|  | const PathPtr_t & | after,
|  | bool & | isReverse
| ) |  |
| static

## ◆ getGoal()

static Configuration_t hpp::core::pathOptimization::ConfigOptimizationTraits::getGoal | ( | const PathVector & | path | ) |
| inlinestatic

## ◆ numberOfIterations()

static std::size_t hpp::core::pathOptimization::ConfigOptimizationTraits::numberOfIterations | ( |  | ) |
| inlinestatic

## ◆ numberOfPass()

static std::size_t hpp::core::pathOptimization::ConfigOptimizationTraits::numberOfPass | ( |  | ) |
| inlinestatic

## ◆ shouldFilter()

static bool hpp::core::pathOptimization::ConfigOptimizationTraits::shouldFilter | ( | JointConstPtr_t | joint,
|  | const size_type | iDof
| ) |  |
| static

The documentation for this struct was generated from the following file:

- include/hpp/core/path-optimization/config-optimization.hh